#!/bin/bash

# In case of a swarm, to pass credentials and airflow dags

docker volume create --name tls_certs_config
docker run -d --name tmp-runner -v tls_certs_config:/etc/tls_certs gitlab-registry.cern.ch/linuxsupport/cc7-base
docker cp ./tsl_certs/ca.pem tmp-runner:/etc/tls_certs
docker cp ./tsl_certs/cert.pem tmp-runner:/etc/tls_certs
docker cp ./tsl_certs/key.pem tmp-runner:/etc/tls_certs
docker rm -f tmp-runner


#docker volume create --name airflowdags
docker run -d --name tmp-runner -v ademo_airflowdags:/usr/local/airflow/dags gitlab-registry.cern.ch/linuxsupport/cc7-base sleep 100
docker cp dags/. tmp-runner:/usr/local/airflow/dags
docker exec tmp-runner ls /usr/local/airflow/dags
docker rm -f tmp-runner
